<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <title>Document</title>
</head>

<body>
    <div id="mount_button">
        <button type="button" class="btn btn-primary" onclick="mount_app_to_div(event)">Mounter</button>
    </div>
    <div id="app" style="width:250px">
        <form>
            <div class="form-group">
              <label for="exampleInputEmail1">Fibonacci:</label>
              <input type="number" class="form-control" v-model="fib_n">
              <button type="button" class="btn btn-primary" v-on:click="calculateFibonacci">Submit</button>
              <span>Result: {{fib_result}}</span>
            </div>
            <div class="form-group">
              <label for="exampleInputEmail1">Ackermann:</label>
              <input type="number" class="form-control" placeholder="m-parameter" v-model="ack_m">
              <input type="number" class="form-control" placeholder="n-parameter" v-model="ack_n">
              <button type="button" class="btn btn-primary" v-on:click="calculateAckermann">Submit</button>
              <span>Result: {{ack_result}}</span>
            </div>
            <div class="form-group">
              <label for="exampleInputEmail1">Factorial</label>
              <input type="number" class="form-control" v-model="fact_n">
              <button type="button" class="btn btn-primary" v-on:click="calculateFactorial">Submit</button>
              <span>Result: {{fact_result}}</span>
            </div>
        </form>        
    </div>
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="app.js"></script>
    <script>
    </script>
</body>

</html>